> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browserlaunchoptions.md).

# BrowserLaunchOptions

Namespace: **Wisej.Hybrid.Shared.Browser**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Optional setting to open the browser with.

{% tabs %}
{% tab title="C#" %}

```csharp
public class BrowserLaunchOptions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class BrowserLaunchOptions
```

{% endtab %}
{% endtabs %}

Not all settings apply to all operating systems. Check documentation for more information.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)BrowserLaunchOptions()

Initializes a new instance of [BrowserLaunchOptions](/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browserlaunchoptions.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Flags

[BrowserLaunchFlags](https://docs.wisej.com/api?q=wisej.hybrid.shared.browser.browserlaunchflags): Gets or sets additional launch flags that may or may not take effect based on the device and [LaunchMode](#launchmode).

The default value is [None](#fields). Not all flags work on all platforms, check the flag descriptions.

### ![](/files/CCV9PPenlC1YZvNh1I6R)LaunchMode

[BrowserLaunchMode](/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browserlaunchmode.md): Gets or sets how the browser should be launched.

The default value is [SystemPreferred](/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browserlaunchmode.md#fields).

### ![](/files/CCV9PPenlC1YZvNh1I6R)PreferredControlColor

[Nullable\<Color>](https://docs.microsoft.com/dotnet/api/system.nullable-1): Gets or sets the preferred color of the controls on the in-app browser.

This setting only applies to iOS.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PreferredToolbarColor

[Nullable\<Color>](https://docs.microsoft.com/dotnet/api/system.nullable-1): Gets or sets the preferred color of the toolbar background of the in-app browser.

This setting only applies to iOS and Android.

### ![](/files/CCV9PPenlC1YZvNh1I6R)TitleMode

[BrowserTitleMode](/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browsertitlemode.md): Gets or sets the preferred mode for the title display.

The default value is [Default](/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browsertitlemode.md#fields). This setting only applies to Android.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/navigation/wisej.hybrid.shared.browser.browserlaunchoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
